﻿using System.Net.Sockets;
using DX86;

namespace Server.Commands;

public class HelpCommand : ICommand
{
    public string Executor { get; }
    public HelpCommand()
    {
        Executor = "help";
    }
    public void Exec(string[] args, TcpClient? client = null, TcpServer? clientSocket = null)
    {
        clientSocket.SendMessageAsync(client, "" +
            "Available commands:\n" +
            "1. help - Show this help message\n" +
            "2. exit - Exit the server\n" +
            "3. user - User management\n" +
            "4. settings - Server settings\n" +
            "5. start - Start the server\n" +
            "6. stop - Stop the server\n");
    }
}