﻿using DX86;
using DX86.Modules;
using Library;

namespace Server;

class Program
{
    public static MessageSender messageSender;
    public static MessageBox messageBox;
    public static InputBox inputBox;
    public static ItemSelector itemSelector;
    public static MySQL mySql;
    private static List<TcpServer> servers;

    static void Main(string[] args)
    {
        Console.WriteLine("Initializing server...");
        // Initialize the server components
        messageSender = new MessageSender("log.txt");
        messageBox = new MessageBox(messageSender);
        inputBox = new InputBox(messageSender);
        itemSelector = new ItemSelector(messageSender);
        servers = new List<TcpServer>();
        
        // Connect to the database
        //mySql = new MySQL("username", "password", "localhost", "database", messageSender);
        
        // Start the server
        ServerLoop();
        
    }
    
    private static void ServerLoop()
    {
        bool running = true;
        string[] menuItems;
        string selectedItem;
        servers.Add(new BackendServer("0.0.0.0", 3767, messageSender));
        // Main server loop
        while (running)
        {
            menuItems = [ "Benutzerverwaltung", "Einstellungen", "Beenden" ];
            itemSelector.SetTitle("Hauptmenü");
            //selectedItem = itemSelector.SelectItemFromList(menuItems);
        }
    }
}